From 8dd308a50c1b0ead6c8ad8052dbba4f95b5f7da1 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Oct 13 2017 18:00:19 +0000
Subject: [PATCH 988/1001] Enable Redux devtools extension


---

diff --git a/hubs/static/client/app/components/WidgetsArea.js b/hubs/static/client/app/components/WidgetsArea.js
index 9fe6508..5dcbc18 100644
--- a/hubs/static/client/app/components/WidgetsArea.js
+++ b/hubs/static/client/app/components/WidgetsArea.js
@@ -76,7 +76,6 @@ WidgetsArea.propTypes = {
 
 
 const mapStateToProps = (state) => {
-  const confWidgetId = state.ui.widgetConfigDialogOpen;
   return {
     hub: state.entities.hub,
     widgets: state.entities.widgets,
diff --git a/hubs/static/client/app/core/store.js b/hubs/static/client/app/core/store.js
index f04ec7f..7d412f4 100644
--- a/hubs/static/client/app/core/store.js
+++ b/hubs/static/client/app/core/store.js
@@ -1,8 +1,14 @@
-import { createStore, applyMiddleware } from 'redux';
+import {
+  createStore,
+  applyMiddleware,
+  compose
+  } from 'redux';
 import thunk from 'redux-thunk';
 import rootReducer from './reducers';
 
 
+const composeEnhancers = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || compose;
+
 let middleware = [
   thunk
 ]
@@ -16,6 +22,8 @@ export default function getStore(initialState) {
   return createStore(
     rootReducer,
     initialState,
-    applyMiddleware(...middleware)
+    composeEnhancers(
+      applyMiddleware(...middleware)
+    )
   );
 }

